#ifndef _VGA_DEBUG_FB_H_
#define _VGA_DEBUG_FB_H_

static void DEBUG_move(kgi_pixmap *fb, kgi_uint dst, kgi_uint src, kgi_uint cnt)
{ 
	DEBUG1("fb:move (fb=0x%.8x, dst=%d, src=%d, cnt=%d)", 
	       fb, dst, src, cnt); 
}

static void DEBUG_set(kgi_pixmap *fb, kgi_uint s, kgi_pixel val, kgi_uint cnt)
{ 
	DEBUG1("fb:set (fb=0x%.8x, s=%d, val=0x%.8x, cnt=%d)", 
	       fb, s, val, cnt);
}

static void DEBUG_invert(kgi_pixmap *fb, kgi_uint start, kgi_uint end)
{ 
	DEBUG1("fb:invert (fb=0x%.8x, start=%d, end=%d)", fb, start, end);
}

static void DEBUG_update(kgi_pixmap *fb, kgi_uint pos, kgi_pixel val)
{
	DEBUG1("fb:update (fb=0x%.8x, pos=%d, val=0x%.8x)",
	       fb, pos, val);
}
static void DEBUG_flush(kgi_pixmap *fb)
{ 
	DEBUG1("fb:flush (fb=0x%.8x)", fb);
}
static void DEBUG_copy_from(kgi_pixmap *fb, void *buf, kgi_uint start, kgi_uint cnt)
{ 
	DEBUG1("fb:copy_from (fb=0x%.8x, buf=0x%.8x, start=%d, cnt=%d)",
         fb, buf, start, cnt);
}
static void DEBUG_copy_to(kgi_pixmap *fb, void *buf, kgi_uint start, kgi_uint cnt)
{ 
	DEBUG1("fb:copy_to (fb=0x%.8x, buf=0x%.8x, start=%d, cnt=%d)",
	       fb, buf, start, cnt); 
}

static kgi_pixel DEBUG_a_to_p(kgi_pixmap *fb, kgi_attr a)
{ 
	DEBUG1("fb:a_to_p (fb=0x%.8x, a=0x%.8x)", fb, a); 
	return 0;
}

static kgi_attr	DEBUG_p_to_a(kgi_pixmap *fb, kgi_pixel val)
{ 
	DEBUG1("fb:p_to_a (fb=0x%.8x, val=0x%.8x)", fb, val); 
	return 0;
}

static kgi_pixel DEBUG_f_to_p(kgi_pixmap *fb, kgi_uint pos)
{ 
	DEBUG1("fb:f_to_p (fb=0x%.8x, pos=0x%.8x)", fb, pos); 
	return 0;
}

static kgi_uint DEBUG_p_to_f(kgi_pixmap *fb, kgi_pixel val)
{ 
	DEBUG1("fb:p_to_f (fb=0x%.8x, val=0x%.8x)", fb, val); 
	return 0;
}

static kgi_fb_ops DEBUG_fb_ops = 
{
	DEBUG_move,
	DEBUG_set,
	DEBUG_invert,
	DEBUG_update,
	DEBUG_flush,
	DEBUG_copy_from,
	DEBUG_copy_to,
	DEBUG_a_to_p,
	DEBUG_p_to_a,
	DEBUG_f_to_p,
	DEBUG_p_to_f};

#endif _VGA_DEBUG_FB_H_
